﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using System.Threading;
using System.ComponentModel;

namespace DialTest
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {

        System.Random rnd = new Random();
        System.Threading.Thread bgThread = null;

        public Window1()
        {
            InitializeComponent();

            this.Closing += new CancelEventHandler(Window1_Closing);

            ThreadStart threadstart = new ThreadStart(update);
            bgThread = new Thread(threadstart);
            bgThread.Start();
        }

        private void Window1_Closing(object sender, CancelEventArgs e)
        {
            if (bgThread != null)
                bgThread.Abort();
        }

        private void update()
        {
            while (true)
            {
                this.Dispatcher.BeginInvoke(
                    System.Windows.Threading.DispatcherPriority.Normal,
                    new delegate_setValue(setValue));
                
                System.Threading.Thread.Sleep(1000);
            }        
        }

        delegate void delegate_setValue();
        private void setValue()
        {
            pBar.Value = rnd.Next(0, 270);
        }

    }
}
